
const St = imports.gi.St;
const Main = imports.ui.main;
const GLib = imports.gi.GLib;
const Tweener = imports.ui.tweener;
const Util = imports.misc.util;
const ExtensionPath = imports.misc.extensionUtils.getCurrentExtension().path;

function init() {
	let command = [ "/usr/bin/python3",ExtensionPath + '/ShowTime' ] ;
	global.log(" command: " + command) ;
	let [success, pid] = GLib.spawn_async(null, command, null,
                             GLib.SpawnFlags.SEARCH_PATH | GLib.SpawnFlags.DO_NOT_REAP_CHILD,
                             null, null);
	global.log("SUCCESS: " + success + " PID: " + pid + " " + command); 
        this.pid = pid;
}

function enable() {
    if (this.pid) {
            Util.spawnCommandLine("kill -TERM " + this.pid);
	    init()
        } else {
	    init()
	}
}

function disable() {
      if (this.pid) {
            Util.spawnCommandLine("kill -TERM " + this.pid);
        }
}
